Bug 174500 - pup crashes after package upload
pup crashes after package upload
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 10:56 EST by Jukka Ketelaars
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 21:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jukka Ketelaars 2005-11-29 10:56:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
Pup crashes with a traceback after succesfully uploading the selected packages.

Version-Release number of selected component (if applicable):
pup-0.1.7-1

How reproducible:
Didn't try

Steps to Reproduce:
1. start pup
2. select all new rawhide packages except kernel
3. execute
  

Actual Results:  ...
Transaction Summary
=============================================================================
Install      1 Package(s)
Update      27 Package(s)
Remove       0 Package(s)

Traceback (most recent call last):
  File "/usr/share/pup/pup/pup.py", line 553, in _apply
    self._runTransaction()
  File "/usr/share/pup/pup/pup.py", line 569, in _runTransaction
    tserrors = self.runTransaction(tsprog)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 354, in runTransaction
    raise Errors.YumBaseError, errstring
YumBaseError: Error in Transaction:   ('file /usr/bin/antlr from install of antlr-2.7.4-2jpp_4fc conflicts with file from package pccts-1.33mr33-11', (7, '/usr/bin/antlr', 0L))


> /usr/lib/python2.4/site-packages/yum/__init__.py(354)runTransaction()
-> raise Errors.YumBaseError, errstring
(Pdb)


Expected Results:  No crash.

Additional info:

yum --exclude=kernel update succeeded without problems.
Comment 1 Jeremy Katz 2006-01-04 21:21:49 EST
This is handled better now
Comment 2 David Lawrence 2006-06-27 21:32:09 EDT
Moving component to pirut. Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.